#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <WSCbaseDialog.h>
#include <WSCvifield.h>
#include <WSDkeyboard.h>
extern WSCbaseDialog* newbase_001;
extern WSCvifield* newvifi_005;

void m23ep(WSCbase* object){
  if (strcmp(WSGIappKeyboard()->getSelectedString(),"")){
    newvifi_005->setProperty(WSNlabelString,
                             WSGIappKeyboard()->getSelectedString());
  }
  newbase_001->setVisible(True);
}
static WSCfunctionRegister  op("m23ep",(void*)m23ep);
